/* General Style */
body {background:url('http://bars2004.ucoz.org/PIC/3612.jpg'); margin:0px; padding:0px;}
/*#wrap {text-align: center; background: url('/.s/t/822/2.gif') center repeat-y;}*/
#wrap {text-align: center; background: url('http://bars2004.ucoz.org/PIC/221.gif') center repeat-y;} 
.header-table {width: 900px; border: 0px; padding: 0px; border-collapse: collapse; margin-left: auto; margin-right: auto; height: 300px; text-align: left;}
#uCozHeaderText {color: #FFFFFF; margin: 0; padding: 0; font-size: 23pt; font-weight: normal; text-shadow: 2px 2px 2px #000; font-family: verdana,arial,helvetica;}
.header-line {}
/*#uncheader { background:url('/.s/t/822/header.jpg');}*/
#uncheader { background:url(http://bars2004.ucoz.org/PIC/3612.jpg');}
.AppendUHeader { background:url('/uCozHeader1.jpg') !important; }
.data-block {height: 46px; line-height: 46px; padding-left: 20px; text-align: left;}
.logo-block {height: 90px; padding: 83px 500px 47px 50px;}
.logo-block h1 {}
.nav-block {height: 34px; line-height:34px; text-align: right; color: #727272; padding-right: 20px; background:url('/.s/t/822/navigations.png') no-repeat;}
table.main-table {width: 900px; border: 0px; padding: 0px; border-collapse: collap.boxTable th {font-size:9pt;color:#FFFFFF;padding:5px;margin:0px;text-align:center; height: 34px; background: url('/.s/t/822/1.gif') repeat-x; }.boxTable th {font-size:9pt;color:#FFFFFF;padding:5px;margin:0px;text-align:center; height: 34px; background: url('/.s/t/822/1.gif') repeat-x; }se; margin-left: auto; margin-right: auto;}
td.content-block {width: 650px; vertical-align: top; background: url('/.s/t/822/4.gif') repeat-x #FFFFFF; padding: 15px;}
td.side-block {width: 250px; vertical-align: top; background: url('/.s/t/822/5.gif') repeat-x #F5F5F5; padding: 0px; margin: 0px;}
td.footer {background: #ccf2ff; padding: 20px; border-top: 5px solid #2A282A; text-align: center;}

.boxTable {width:250px;border: 0px; padding: 0px; border-collapse: collapse;text-align:center;}
.boxTable th {font-size:9pt;color:#FFFFFF;padding:5px;margin:0px;text-align:center; height: 34px; background: url('/.s/t/822/1.gif') repeat-x; }
.boxContent {padding:10px;text-align:left;}
.center {text-align:center;}
a:link {text-decoration:underline; color:#0B3893;}
a:active {text-decoration:underline; color:#0B3893;}
a:visited {text-decoration:underline; color:#0B3893;}
a:hover {text-decoration:none; color:#000000;}

.nav-block a:link {text-decoration:none; color:#C1E7FF;}
.nav-block a:active {text-decoration:none; color:#C1E7FF;}
.nav-block a:visited {text-decoration:none; color:#C1E7FF;}
.nav-block a:hover {text-decoration:none; color:#FFFFFF;}

td, body {font-family:verdana,arial,helvetica; font-size:8pt;}
form {padding:0px;margin:0px;}
input,textarea,select {vertical-align:middle; font-size:8pt; font-family:verdana,arial,helvetica;}
.copy {font-size:7pt;}

a.noun:link {text-decoration:none; color:#7D7D7D}
a.noun:active {text-decoration:none; color:#7D7D7D}
a.noun:visited {text-decoration:none; color:#7D7D7D}
a.noun:hover {text-decoration:none; color:#016CAC}

h1 {color: #1C4281; font-size: 14pt;}
hr {color:#CCCCCC;height:1px; border: none; background-color:#CCCCCC;}
label {cursor:pointer;cursor:hand}

.blocktitle {font-family:Verdana,Sans-Serif;color:#787878;font-size:12px;}

a.menu1:link {text-decoration:underline; color:#FAFAFA}
a.menu1:active {text-decoration:underline; color:#FAFAFA}
a.menu1:visited {text-decoration:underline; color:#FAFAFA}
a.menu1:hover {text-decoration:underline; color:#CCCCCC}
.menuTd {padding-left:12px;padding-right:10px; background: url('/.s/t/822/6.gif') no-repeat 0px 3px;}

.mframe {border-left:1px solid #E5E7EA; border-right:1px solid #E5E7EA;}
.colgray {border-right:1px solid #E5E7EA;}
.colwhite {border-right:1px solid #FAFAFA;}
.msep {border-top:1px solid #FAFAFA;}
/* ------------- */

/* Menus */
ul.uz, ul.uMenuRoot {list-style: none; margin: 0 0 0 0; padding-left: 0px;}
li.menus {margin: 0; padding: 0 0 0 11px; background: url('/.s/t/822/7.gif') no-repeat 0px 3px; margin-bottom: .6em;}
/* ----- */

/* Site Menus */
.uMenuH li {float:left;padding:0 5px;}


.uMenuV .uMenuItem {font-weight:normal;}
.uMenuV li a:link {text-decoration:none; color:#7D7D7D}
.uMenuV li a:active {text-decoration:none; color:#7D7D7D}
.uMenuV li a:visited {text-decoration:none; color:#7D7D7D}
.uMenuV li a:hover {text-decoration:none; color:#016CAC}

.uMenuV a.uMenuItemA:link {text-decoration:none; color:#016CAC}
.uMenuV a.uMenuItemA:visited {text-decoration:none; color:#016CAC}
.uMenuV a.uMenuItemA:hover {text-decoration:none; color:#000000}
.uMenuV .uMenuArrow {position:absolute;width:10px;height:10px;right:0;top:3px;background:url('/.s/img/wd/1/ar1.gif') no-repeat 0 0;}
.uMenuV li {margin: 0; padding: 0 0 0 20px; background: url('/.s/t/822/8.gif') left center no-repeat; margin-bottom: .6em; font-size: 10pt;}
/* --------- */

/* Module Part Menu */
.catsTd {padding: 0 0 6px 11px; background: url('/.s/t/822/7.gif') no-repeat 0px 3px;}
.catName {font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:11px;}
.catNameActive {font-family:Verdana,Tahoma,Arial,Sans-Serif;font-size:11px;}
.catNumData {font-size:7pt;color:#6E6E6E;}
.catDescr {font-size:7pt; padding-left:10px;}
a.catName:link {text-decoration:none; color:#7D7D7D;}
a.catName:visited {text-decoration:none; color:#7D7D7D;}
a.catName:hover {text-decoration:none; color:#016CAC;}
a.catName:active {text-decoration:none; color:#7D7D7D;}
a.catNameActive:link {text-decoration:none; color:#016CAC;}
a.catNameActive:visited {text-decoration:none; color:#016CAC;}
a.catNameActive:hover {text-decoration:none; color:#000000;}
a.catNameActive:active {text-decoration:none; color:#016CAC;}
/* ----------------- */

/* Entries Style */
.eBlock {border-top:1px solid #EBEBEB;border-bottom:3px solid #A3BD31;border-right:1px solid #EBEBEB;}
.eTitle {font-family:Verdana,Arial,Sans-Serif;font-size:13px;font-weight:bold;color:#0069A9; padding: 10px 5px 10px 40px; background: url('/PIC/Shayba_icon.png') no-repeat 0px 3px;}
.eTitle a:link {text-decoration:underline; color:#0069A9;}
.eTitle a:visited {text-decoration:underline; color:#0069A9;}
.eTitle a:hover {text-decoration:none; color:#000000;}
.eTitle a:active {text-decoration:underline; color:#0069A9;}

.eMessage {text-align:justify;padding-bottom:5px;}
.eText {text-align:justify;padding-bottom:5px;padding-top:5px;border-top:1px solid #CCCCCC}
.eDetails {background:#F2F2F2;font-family:Verdana,Tahoma,Arial,Sans-Serif;color:#1A1A1A;padding-bottom:5px; padding-top:3px;text-align:left;font-size:7pt;}
.eDetails1 {background:#F2F2F2;font-familyVerdana,:Tahoma,Arial,Sans-Serif;color:#1A1A1A;padding-bottom:5px; padding-top:3px;text-align:left;font-size:8pt;}
.eDetails2 {background:#F2F2F2;font-family:Verdana,Tahoma,Arial,Sans-Serif;color:#1A1A1A;padding-bottom:5px; padding-top:3px;text-align:left;font-size:8pt;}

.eRating {font-size:7pt;}

.eAttach {margin: 16px 0 0 0; padding: 0 0 0 15px; background: url('/.s/t/822/10.gif') no-repeat 0px 0px;}
/* ------------- */

/* Entry Manage Table */
.manTable {}
.manTdError {color:#FF0000;}
.manTd1 {}
.manTd2 {}
.manTd3 {}
.manTdSep {}
.manHr {}
.manTdBrief {}
.manTdText {}
.manTdFiles {}
.manFlFile {}
.manTdBut {}
.manFlSbm {}
.manFlRst {}
.manFlCnt {}
/* ------------------ */

/* Comments Style */
.cAnswer {padding-left:15px;padding-top:4px;font-style:italic;}

.cBlock1 {background:#FFFFFF; border:1px solid #CCCCCC; border-left: 5px solid #6B8934;}
.cBlock2 {background:#FFFFFF; border:1px solid #CCCCCC; border-left: 5px solid #2B418C;}
/* -------------- */

/* Comments Form Style */
.commTable {border:1px solid #CCCCCC;background:#FFFFFF;}
.commTd1 {color:#000000;}
.commTd2 {}
.commFl {color:#6E6E6E;width:100%;background:#FCFCFC;border:1px solid #CCCCCC;}
.smiles {border:1px inset;background:#FFFFFF;}
.commReg {padding: 10 0 10 0px; text-align:center;}
.commError {color:#FF0000;}
.securityCode {color:#6E6E6E;background:#FCFCFC;border:1px solid #CCCCCC;}
/* ------------------- */

/* Archive Menu */
.archUl {list-style: none; margin:0; padding-left:0;}
.archLi {padding: 0 0 3px 10px; background: url('/.s/t/822/11.gif') no-repeat 0px 4px; font-family:Tahoma,Arial,Sans-Serif;}
a.archLink:link {text-decoration:underline; color:#6E6E6E;}
a.archLink:visited {text-decoration:underline; color:#6E6E6E;}
a.archLink:hover {text-decoration:none; color:#000000;}
a.archLink:active {text-decoration:none; color:#000000;}
/* ------------ */

/* Archive Style */
.archiveCalendars {text-align:center;color:#0000FF;}
.archiveDateTitle {font-weight:bold;color:#6E6E6E;padding-top:15px;}
.archEntryHr {width:250px;color:#DDDDDD;}
.archiveeTitle li {margin-left: 15px; padding: 0 0 0 15px; background: url('/.s/t/822/12.gif') no-repeat 0px 4px; margin-bottom: .6em;}
.archiveEntryTime {width:65px;font-style:italic;}
.archiveEntryComms {font-size:9px;color:#C3C3C3;}
a.archiveDateTitleLink:link {text-decoration:none; color:#6E6E6E}
a.archiveDateTitleLink:visited {text-decoration:none; color:#6E6E6E}
a.archiveDateTitleLink:hover {text-decoration:underline; color:#6E6E6E}
a.archiveDateTitleLink:active {text-decoration:underline; color:#6E6E6E}
.archiveNoEntry {text-align:center;color:#0000FF;}
/* ------------- */

/* Calendar Style */
.calTable {margin-left: auto; margin-right: auto;}
.calMonth {}
.calWday {color:#FFFFFF; background:#A2BC30; width:18px;}
.calWdaySe {color:#FFFFFF; background:#0B3893; width:18px;}
.calWdaySu {color:#FFFFFF; background:#0B3893; width:18px; font-weight:bold;}
.calMday {background:FFFFFF;color:#000000;}
.calMdayA {background:#CCCCCC;font-weight:bold;}
.calMdayIs {background:#FFFFFF;color:#000000;font-weight:bold;border:1px solid #CCCCCC;}
.calMdayIsA {border:1px solid #016EAD; background:#FFFFFF;font-weight:bold;}
a.calMonthLink:link,a.calMdayLink:link {text-decoration:none; color:#000000;}
a.calMonthLink:visited,a.calMdayLink:visited {text-decoration:none; color:#000000;}
a.calMonthLink:hover,a.calMdayLink:hover {text-decoration:underline; color:#016CAC;}
a.calMonthLink:active,a.calMdayLink:active {text-decoration:underline; color:#000000;}
/* -------------- */

/* Poll styles */
.pollBut {width:110px;}

.pollBody {padding:7px; margin:0px; background:#FFFFFF}
.textResults {background:#E5E5E5}
.textResultsTd {background:#FFFFFF}

.pollNow {border-bottom:1px solid #E5E5E5; border-left:1px solid #E5E5E5; border-right:1px solid #E5E5E5;}
.pollNowTd {}

.totalVotesTable {border-bottom:1px solid #E5E5E5; border-left:1px solid #E5E5E5; border-right:1px solid #E5E5E5;}
.totalVotesTd {background:#FFFFFF;}
/* ---------- */

/* User Group Marks */
a.groupModer:link,a.groupModer:visited,a.groupModer:hover {color:blue;}
a.groupAdmin:link,a.groupAdmin:visited,a.groupAdmin:hover {color:red;}
a.groupVerify:link,a.groupVerify:visited,a.groupVerify:hover {color:green;}
/* ---------------- */

/* Other Styles */
.replaceTable {background:#F8F9FA;height:100px;width:300px;border:1px solid #FFFFFF;}
.replaceBody {background:#313337;}
.legendTd {font-size:7pt;}
/* ------------ */

/* ===== forum Start ===== */

/* General forum Table View */
.gTable {background:#EEEEEE;}
.gTableTop {padding:2px;background: url('/.s/t/822/1.gif') repeat-x;padding-left:20px;padding-bottom:1px;color:#FFFFFF;font-weight:bold; height:34px;font-size:10pt;}
.gTableSubTop {padding:2px;background:url('/.s/t/822/13.gif') center #ABC95C;color:#000000;height:20px;font-size:10px;}
.gTableBody {padding:2px;background:#FAFAFA;}
.gTableBody1 {padding:2px;background:#FFFFFF;}
.gTableBottom {padding:2px;background:#FAFAFA;}
.gTableLeft {padding:2px;background:#F2F2F2;font-weight:bold;color:#6E6E6E}
.gTableRight {padding:2px;background:#F8F9FA}
.gTableError {padding:2px;background:#FAFAFA;color:#FF0000;}
/* ------------------------ */

/* Forums Styles */
.forumNameTd,.forumLastPostTd {padding:2px;background:#FFFFFF}
.forumIcoTd,.forumThreadTd,.forumPostTd {padding:2px;background:#F2F2F2}
.forumLastPostTd,.forumArchive {padding:2px;font-size:7pt;}

a.catLink:link {text-decoration:none; color:#FFFFFF;}
a.catLink:visited {text-decoration:none; color:#FFFFFF;}
a.catLink:hover {text-decoration:underline; color:#CCCCCC;}
a.catLink:active {text-decoration:underline; color:#FFFFFF;}

.lastPostGuest,.lastPostUser,.threadAuthor {font-weight:bold}
.archivedForum{font-size:7pt;color:#FF0000;font-weight:bold;}
/* ------------- */

/* forum Titles & other */
.forum {font-weight:bold;font-size:9pt;}
.forumDescr,.forumModer {color:#858585;font-size:7pt;}
.forumViewed {font-size:9px;}
a.forum:link, a.lastPostUserLink:link, a.forumLastPostLink:link, a.threadAuthorLink:link {text-decoration:none; color:#6E6E6E;}
a.forum:visited, a.lastPostUserLink:visited, a.forumLastPostLink:visited, a.threadAuthorLink:visited {text-decoration:none; color:#6E6E6E;}
a.forum:hover, a.lastPostUserLink:hover, a.forumLastPostLink:hover, a.threadAuthorLink:hover {text-decoration:underline; color:#909090;}
a.forum:active, a.lastPostUserLink:active, a.forumLastPostLink:active, a.threadAuthorLink:active {text-decoration:underline; color:#6E6E6E;}
/* -------------------- */

/* forum Navigation Bar */
.forumNamesBar {font-weight:bold;font-size:7pt;color:#7694D3;}
.forumBarKw {font-weight:normal;}

/* -------------------- */

/* forum Fast Navigation Blocks */
.fastNav,.fastSearch,.fastLoginForm {font-size:7pt;}
/* ---------------------------- */

/* forum Fast Navigation Menu */
.fastNavMain {background:#DADADA;}
.fastNavCat {background:#EFEFEF;}
.fastNavCatA {background:#EFEFEF;color:#0000FF}
.fastNavForumA {color:#0000FF}
/* -------------------------- */

/* forum Page switches */
.switches {background:#CCCCCC;}
.pagesInfo {background:#FFFFFF;padding-right:10px;font-size:7pt;}
.switch {background:#FFFFFF;width:15px;font-size:7pt;}
.switchActive {background:#E0E0E0;font-weight:bold;color:#6E6E6E;width:15px}
a.switchDigit:link,a.switchBack:link,a.switchNext:link {text-decoration:none; color:#000000;}
a.switchDigit:visited,a.switchBack:visited,a.switchNext:visited {text-decoration:none; color:#000000;}
a.switchDigit:hover,a.switchBack:hover,a.switchNext:hover {text-decoration:underline; color:#FF0000;}
a.switchDigit:active,a.switchBack:active,a.switchNext:active {text-decoration:underline; color:#FF0000;}
/* ------------------- */

/* forum Threads Style */
.threadNametd,.threadAuthTd,.threadLastPostTd {padding:2px;padding:2px;background:#FFFFFF}
.threadIcoTd,.threadPostTd,.threadViewTd {padding:2px;background:#F2F2F2}
.threadLastPostTd {padding:2px;font-size:7pt;}
.threadDescr {color:#858585;font-size:7pt;}
.threadNoticeLink {font-weight:bold;}
.threadsType {padding:2px;background:#AAAAAA;height:20px;font-weight:bold;font-size:7pt;color:#FFFFFF;padding-left:40px; }
.threadsDetails {padding:2px;background:#AAAAAA;height:20px;color:#6E6E6E;}
.forumOnlineBar {padding:2px;background:#AAAAAA;height:20px;color:#6E6E6E;}

a.threadPinnedLink:link {text-decoration:none; color:#0000FF;}
a.threadPinnedLink:visited {text-decoration:none; color:#0000FF;}
a.threadPinnedLink:hover {text-decoration:none; color:#FF0000;}
a.threadPinnedLink:active {text-decoration:underline; color:#FF0000;}

a.threadLink:link {text-decoration:none; color:#6E6E6E;}
a.threadLink:visited {text-decoration:none; color:#6E6E6E;}
a.threadLink:hover {text-decoration:underline; color:#000000;}
a.threadLink:active {text-decoration:underline; color:#000000;}

.postpSwithces {font-size:7pt;}
.thDescr {font-weight:normal;}
.threadFrmBlock {font-size:7pt;text-align:right;}
/* ------------------- */

/* forum Posts View */
.postTable {}
.postPoll {background:#F1F2F3;text-align:center;}
.postFirst {background:#F8F9FA;border-bottom:3px solid #787878;}
.postRest1 {background:#F1F2F3;}
.postRest2 {background:#F8F9FA;}
.postSeparator {height:3px;background:#016CAC;}

.postTdTop {background:url('/.s/t/822/13.gif') center #ABC95C;}
.postBottom {background:#E0E0E0;height:20px}
.postUser {font-weight:bold;}
.postTdInfo {text-align:center;padding:5px;background:#F2F2F2;}
.postRankName {margin-top:5px;}
.postRankIco {margin-bottom:5px;margin-bottom:5px;}
.reputation {margin-top:5px;}
.signatureHr {margin-top:20px;color:#787878;}
.posttdMessage {padding:5px;background:#FFFFFF;}

.pollQuestion {text-align:center;font-weight:bold;} 
.pollButtons,.pollTotal {text-align:center;}
.pollSubmitBut,.pollreSultsBut {width:140px;font-size:7pt;}
.pollSubmit {font-weight:bold;}
.pollEnd {text-align:center;height:30px;}

.codeMessage {background:#FFFFFF;font-size:9px;}
.quoteMessage {background:#FFFFFF;font-size:9px;}

.signatureView {font-size:7pt;} 
.edited {padding-top:30px;font-size:7pt;text-align:right;color:gray;}
.editedBy {font-weight:bold;font-size:8pt;}

.statusBlock {padding-top:3px;}
.statusOnline {color:#0000FF;}
.statusOffline {color:#FF0000;}
/* ------------------ */

/* forum AllInOne Fast Add */
.newThreadBlock {background: #F9F9F9;border: 1px solid #B2B2B2;}
.newPollBlock {background: #F9F9F9;border: 1px solid #B2B2B2;}
.newThreadItem {padding: 0 0 0 8px; background: url('/.s/t/822/14.gif') no-repeat 0px 4px;}
.newPollItem {padding: 0 0 0 8px; background: url('/.s/t/822/14.gif') no-repeat 0px 4px;}
/* ----------------------- */

/* forum Post Form */
.codeButtons {font-size:7pt;background:#FCFCFC;border:1px solid #6E6E6E;}
.codeCloseAll {font-size:7pt; color:#6E6E6E;font-weight:bold;background:#FCFCFC;border:1px solid #6E6E6E;}
.postNameFl,.postDescrFl {background:#FCFCFC;border:1px solid #6E6E6E;width:400px}
.postPollFl,.postQuestionFl {background:#FCFCFC;border:1px solid #6E6E6E;width:400px}
.postResultFl {background:#FCFCFC;border:1px solid #6E6E6E;width:50px}
.postAnswerFl {background:#FCFCFC;border:1px solid #6E6E6E;width:300px}
.postTextFl {background:#FCFCFC;border:1px solid #6E6E6E;width:550px;height:150px}
.postUserFl {background:#FCFCFC;border:1px solid #6E6E6E;width:300px}

.pollHelp {font-weight:normal;font-size:7pt;padding-top:3px;}
.smilesPart {padding-top:5px;text-align:center}
/* ----------------- */

/* ====== forum End ====== */
 
.menu, .menu ul {
 list-style: none;
 padding: 0;
 margin: 0;
}
.menu {
 height: 58px;
}
.menu li {
 background: -moz-linear-gradient(#292929, #252525);
 background: -ms-linear-gradient(#292929, #252525);
 background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #292929), color-stop(100%, #252525));
 background: -webkit-linear-gradient(#292929, #252525);
 background: -o-linear-gradient(#292929, #252525);
 filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#292929', endColorstr='#252525');
 -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#292929', endColorstr='#252525')";
background: linear-gradient(#292929, #252525);
/* background: linear-gradient(#0099FF, #003366);*/
 
 border-bottom: 2px solid #181818;
 border-top: 2px solid #303030;
 min-width: 150px;
}
.menu > li {
 display: block;
 float: left;
 position: relative;
}
.menu > li:first-child {
 border-radius: 5px 0 0;
}
.menu a {
 border-left: 3px solid rgba(0, 0, 0, 0);
 color: #808080;
 display: block;
 font-family: 'Lucida Console';
 font-size: 14px;
 line-height: 34px;
 padding: 0 25px;
 text-decoration: none;
 text-transform: uppercase;
}

/* When we hover on individual menu items, we will highlight them: */

.menu li:hover {
 background-color: #1c1c1c;
 background: -moz-linear-gradient(#1c1c1c, #1b1b1b);
 background: -ms-linear-gradient(#1c1c1c, #1b1b1b);
 background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #1c1c1c), color-stop(100%, #1b1b1b));
 background: -webkit-linear-gradient(#1c1c1c, #1b1b1b);
 background: -o-linear-gradient(#1c1c1c, #1b1b1b);
 filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#1c1c1c', endColorstr='#1b1b1b');
 -ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr='#1c1c1c', endColorstr='#1b1b1b')";
 background: linear-gradient(#1c1c1c, #1b1b1b);

 border-bottom: 2px solid #222222;
 border-top: 2px solid #1B1B1B;
}
.menu li:hover > a {
 /*border-radius: 5px 0 0 0;*/
 border-left: 3px solid #C4302B;
 color: #C4302B;
}

/* submenu styles */
.submenu {
 left: 0;
 max-height: 0;
 position: absolute;
 top: 100%;
 z-index: 0;

 -webkit-perspective: 400px;
 -moz-perspective: 400px;
 -ms-perspective: 400px;
 -o-perspective: 400px;
 perspective: 400px;
}
.submenu li {
 opacity: 0;

 -webkit-transform: rotateY(90deg);
 -moz-transform: rotateY(90deg);
 -ms-transform: rotateY(90deg);
 -o-transform: rotateY(90deg);
 transform: rotateY(90deg);

 -webkit-transition: opacity .4s, -webkit-transform .5s;
 -moz-transition: opacity .4s, -moz-transform .5s;
 -ms-transition: opacity .4s, -ms-transform .5s;
 -o-transition: opacity .4s, -o-transform .5s;
 transition: opacity .4s, transform .5s;
}
.menu .submenu li:hover a {
 border-left: 3px solid #454545;
 border-radius: 0;
 color: #ffffff;
}
.menu > li:hover .submenu, .menu > li:focus .submenu {
 max-height: 2000px;
 z-index: 10;
}
.menu > li:hover .submenu li, .menu > li:focus .submenu li {
 opacity: 1;

 -webkit-transform: none;
 -moz-transform: none;
 -ms-transform: none;
 -o-transform: none;
 transform: none;
}

/* CSS3 delays for transition effects */
.menu li:hover .submenu li:nth-child(1) {
 -webkit-transition-delay: 0s;
 -moz-transition-delay: 0s;
 -ms-transition-delay: 0s;
 -o-transition-delay: 0s;
 transition-delay: 0s;
}
.menu li:hover .submenu li:nth-child(2) {
 -webkit-transition-delay: 50ms;
 -moz-transition-delay: 50ms;
 -ms-transition-delay: 50ms;
 -o-transition-delay: 50ms;
 transition-delay: 50ms;
}
.menu li:hover .submenu li:nth-child(3) {
 -webkit-transition-delay: 100ms;
 -moz-transition-delay: 100ms;
 -ms-transition-delay: 100ms;
 -o-transition-delay: 100ms;
 transition-delay: 100ms;
}
.menu li:hover .submenu li:nth-child(4) {
 -webkit-transition-delay: 150ms;
 -moz-transition-delay: 150ms;
 -ms-transition-delay: 150ms;
 -o-transition-delay: 150ms;
 transition-delay: 150ms;
}
.menu li:hover .submenu li:nth-child(5) {
 -webkit-transition-delay: 200ms;
 -moz-transition-delay: 200ms;
 -ms-transition-delay: 200ms;
 -o-transition-delay: 200ms;
 transition-delay: 200ms;
}
.menu li:hover .submenu li:nth-child(6) {
 -webkit-transition-delay: 250ms;
 -moz-transition-delay: 250ms;
 -ms-transition-delay: 250ms;
 -o-transition-delay: 250ms;
 transition-delay: 250ms;
}
.menu li:hover .submenu li:nth-child(7) {
 -webkit-transition-delay: 300ms;
 -moz-transition-delay: 300ms;
 -ms-transition-delay: 300ms;
 -o-transition-delay: 300ms;
 transition-delay: 300ms;
}
.menu li:hover .submenu li:nth-child(8) {
 -webkit-transition-delay: 350ms;
 -moz-transition-delay: 350ms;
 -ms-transition-delay: 350ms;
 -o-transition-delay: 350ms;
 transition-delay: 350ms;
}

.submenu li:nth-child(1) {
 -webkit-transition-delay: 350ms;
 -moz-transition-delay: 350ms;
 -ms-transition-delay: 350ms;
 -o-transition-delay: 350ms;
 transition-delay: 350ms;
}
.submenu li:nth-child(2) {
 -webkit-transition-delay: 300ms;
 -moz-transition-delay: 300ms;
 -ms-transition-delay: 300ms;
 -o-transition-delay: 300ms;
 transition-delay: 300ms;
}
.submenu li:nth-child(3) {
 -webkit-transition-delay: 250ms;
 -moz-transition-delay: 250ms;
 -ms-transition-delay: 250ms;
 -o-transition-delay: 250ms;
 transition-delay: 250ms;
}
.submenu li:nth-child(4) {
 -webkit-transition-delay: 200ms;
 -moz-transition-delay: 200ms;
 -ms-transition-delay: 200ms;
 -o-transition-delay: 200ms;
 transition-delay: 200ms;
}
.submenu li:nth-child(5) {
 -webkit-transition-delay: 150ms;
 -moz-transition-delay: 150ms;
 -ms-transition-delay: 150ms;
 -o-transition-delay: 150ms;
 transition-delay: 150ms;
}
.submenu li:nth-child(6) {
 -webkit-transition-delay: 100ms;
 -moz-transition-delay: 100ms;
 -ms-transition-delay: 100ms;
 -o-transition-delay: 100ms;
 transition-delay: 100ms;
}
.submenu li:nth-child(7) {
 -webkit-transition-delay: 50ms;
 -moz-transition-delay: 50ms;
 -ms-transition-delay: 50ms;
 -o-transition-delay: 50ms;
 transition-delay: 50ms;
}
.submenu li:nth-child(8) {
 -webkit-transition-delay: 0s;
 -moz-transition-delay: 0s;
 -ms-transition-delay: 0s;
 -o-transition-delay: 0s;
 transition-delay: 0s;
}